"""Add revert_tag log entry kind

Revision ID: 1c3decf6b9c4
Revises: 4ce2169efd3b
Create Date: 2015-04-16 17:14:11.154856

"""

# revision identifiers, used by Alembic.
revision = '1c3decf6b9c4'
down_revision = '4ce2169efd3b'

from alembic import op
import sqlalchemy as sa


def upgrade(tables):
    op.bulk_insert(tables.logentrykind,
    [
        {'id': 47, 'name':'revert_tag'},
    ])


def downgrade(tables):
    op.execute(
        (tables.logentrykind.delete()
            .where(tables.logentrykind.c.name == op.inline_literal('revert_tag')))

    )